GST APIEnvironment:
Default OTP575757
API Reference
Overview
Public
Authentication
GSTR
GSTR1
GSTR1A
GSTR2A
GSTR2B
GSTR2X
GSTR3B
GSTR4
GSTR4A
GSTR4Annual
GSTR5
GSTR6
GSTR6A
GSTR7
GSTR8
GSTR9
GSTR9A
GSTR9C
SPIKE
ALL
IMS
ITC03
ITC04
CMP
Payment
Generate ChallanPOST
Get Challan HistoryGET
Get Challan SummaryGET
Validate Challan ReasonPOST
Ledger
e-Invoice
Notices

GST Challan History List

GEThttps://apisandbox.whitebooks.in/payment/chllnlst

As per SRS, Taxpayer can view the challan history through GSP after logging in to the account.TaxPayer need to provide the inputs for parameters (from date, to date) along with GSTIN.GSP invoke this interface to get the Challan history for the period and GST Backend system returns the Challan History Details with CPIN, Expiry Date, Creation Date, Total amount etc.

Parameters

query parameters
gstinstringrequired
GSTIN of the taxpayer
fromdatestringrequired
From Date (DD-MM-YYYY,20-12-2016)
todatestringrequired
To Date (DD-MM-YYYY,20-12-2016)
emailstringrequired
Email
header parameters
gst_usernamestringrequired
GST UserName
state_cdstringrequired
State Code
ip_addressstringrequired
IP Address
txnstringrequired
Transaction
client_idstringrequired
Client ID
client_secretstringrequired
Client Secret

Response

Not Found. If requested entity is not found or if requested API is not found.

Frequently Asked Questions

Requests are submitted via HTTP GET to /payment/chllnlst. Required parameters: gstin (query parameter), fromdate (query parameter), todate (query parameter), email (query parameter), gst_username (header parameter), state_cd (header parameter), ip_address (header parameter), txn (header parameter), client_id (header parameter), client_secret (header parameter). No request body payload is required for this call.
For Get Challan History (GET /payment/chllnlst), responses are returned in JSON format (application/json). Documented response codes in the specification include: HTTP 404 (Not Found. If requested entity is not found or if requested API is not found.), HTTP 500 (Internal server error).
As per SRS, Taxpayer can view the challan history through GSP after logging in to the account.TaxPayer need to provide the inputs for parameters (from date, to date) along with GSTIN.GSP invoke this interface to get the Challan history for the period and GST Backend system returns the Challan History Details with CPIN, Expiry Date, Creation Date, Total amount etc.
GET/payment/chllnlst
1const response = await fetch('https://apisandbox.whitebooks.in/payment/chllnlst?gstin=value&fromdate=value&todate=value&email=value', {
2 method: 'GET',
3 headers: {
4 gst_username: "value",
5 state_cd: "value",
6 ip_address: "value",
7 txn: "value",
8 client_id: "value",
9 client_secret: "value"
10},
11});
12
13const data = await response.json();
14console.log(data);
No example available.